diff -ruN vdr-1.7.21/sources.conf vdr-1.7.22/sources.conf
--- vdr-1.7.21/sources.conf	2010-03-06 12:07:05.000000000 +0100
+++ vdr-1.7.22/sources.conf	2011-09-11 16:26:16.000000000 +0200
@@ -19,174 +19,165 @@
 
 # Europe
 
-S3E     Telecom 2C
-S4E     Eurobird 4
-S4.8E   Sirius 4
+S3E     Eutelsat 3A & Rascom 1R
+S4E     Eurobird 4A
+S4.8E   Astra 4A
 S7E     Eutelsat W3A
-S9E     Eurobird 9
-S10E    Eutelsat W1
-S13E    Hotbird 6/7A/8
-S16E    Eutelsat W2
-S19.2E  Astra F/G/H/KR/L
-S21.0E  Afristar 1
+S9E     Eurobird 9A
+S10E    Eutelsat W2A
+S13E    Hotbird 6/8/9
+S16E    Eutelsat W2M & Eurobird 16A
+S19.2E  Astra 1H/1KR/1L/1M/2C
 S21.6E  Eutelsat W6
-S23.5E  Astra 1E/3A
+S23.5E  Astra 3A/3B
 S25.5E  Eurobird 2
-S26E    Badr 3/4/6
-S28.2E  Astra 2D/A/B
-S28.5E  Eurobird 1 & Astra 2A/B/C/D
-S30.5E  Arabsat 2B
-S31.5E  Astra 1D/5A
-S33E    Eurobird 3 & Intelsat 802
-S36E    Eutelsat W4 & Sesat
+S26E    Badr 4/5/6
+S28.2E  Astra 2A/2B/2D
+S28.5E  Eurobird 1
+S30.5E  Arabsat 5A
+S31.5E  Astra 1G
+S33E    Eurobird 3 & Intelsat New Dawn
+S36E    Eutelsat W4/W7
 S38E    Paksat 1
 S39E    Hellas Sat 2
 S40E    Express AM1
 S42E    Turksat 2A/3A
 S45E    Intelsat 12
 S49E    Yamal 202
-S53E    Express AM 22
-S55E    Insat 3E 
+S53E    Express AM22
+S55E    Insat 3E
 S56E    Bonum 1
-S57E    NSS 703
+S57E    NSS 12
 S60E    Intelsat 904
 S62E    Intelsat 902
 S64E    Intelsat 906
-S66E    Intelsat 704
+S66E    Intelsat 17
 S68.5E  Intelsat 7/10
 S70.5E  Eutelsat W5
-S72E    Intelsat 4
+S72E    Intelsat 709
 
 # Asia
 
-S74E    Insat 3C/4CR & Edusat
-S75E    ABS 1
-S76.5E  Telstar 10
-S78.5E  Thaicom 2/5
-S80E    Express AM2
-S83E    Insat 2E/3B/4A
-S85.2E  Intelsat 709
-S87.5E  Chinastar 1
-S88E    ST 1
+S74E    Insat 3C/4CR
+S75E    ABS 1A
+S76.5E  Apstar 2R
+S78.5E  Thaicom 5
+S80E    Express AM2/MD1
+S83E    Insat 2E/4A
+S85.2E  Intelsat 15
+S87.5E  Chinasat 5A
+S88E    ST 1/2
 S90E    Yamal 201
-S91.5E  Measat 1
+S91.5E  Measat 3/3A
 S92.2E  Chinasat 9
 S93.5E  Insat 3A/4B
 S95E    NSS 6
-S96.5E  Express AM 33
-S98.5E  Protostar 1
-S100.5E Asiasat 2
+S96.5E  Express AM33
+S100.5E Asiasat 5
 S103E   Express A2
-S105E   Asiastar
 S105.5E Asiasat 3S
-S107.7E Cakrawarta 1
-S108E   Telkom 1 & NSS 11
-S110E   N-Sat 110 & BSAT 1A/2A
-S110.5E Sinosat 1
-S113E   Palapa C2 & Koreasat 2
-S116E   Koreasat 3
+S108.2E Telkom 1 & NSS 11 & SES 7
+S110E   N-Sat 110 & BSAT 2C/3A
+S110.5E Chinasat 10
+S113E   Palapa D & Koreasat 5
+S116E   Koreasat 6
 S118E   Telkom 2
-S120E   Thaicom 1A
 S122.2E Asiasat 4
-S124E   JCSAT 4a
-S125E   Sinosat 3
-S128E   JCSAT 3
-S132E   Vinasat 1 & JCSAT5a
+S124E   JCSAT 4A
+S125E   Chinasat 6A
+S128E   JCSAT RA
+S132E   Vinasat 1 & JCSAT5A
 S134E   Apstar 6
 S138E   Telstar 18
-S140E   Express AM 3
-S144E   Superbird C
-S146E   Agila 2
-S148E   Measat 2
-S150E   JCSAT R
+S140E   Express AM3
+S144E   Superbird C2
+S146E   ABS 5
+S150E   JCSAT 1B
 S152E   Optus D2
 S154E   JCSAT 2A
-S156E   Optus C1
-S158E   Superbird A
+S156E   Optus C1/D3
 S160E   Optus D1
 S162E   Superbird B2
 S164E   Optus B3
 S166E   Intelsat 8
-S169E   Intelsat 2
+S169E   Intelsat 5
 S172E   GE 23
 S180E   Intelsat 701
-S177W   NSS 5
+S177W   NSS 9
 
 # Atlantic
 
-S1W     Thor 3/5 & Intelsat 10-02
-S4W     Amos 1/2/3
+S1W     Thor 5/6 & Intelsat 10-02
+S4W     Amos 2/3
 S5W     Atlantic Bird 3
-S7W     Nilesat 101/102 & Atlantic Bird 4
+S7W     Nilesat 101/102/201 & Atlantic Bird 4A
 S8W     Telecom 2D & Atlantic Bird 2
-S11W    Express A3
+S11W    Express AM44
 S12.5W  Atlantic Bird 1
 S14W    Express A4
 S15W    Telstar 12
 S18W    Intelsat 901
-S20W    Intelsat 603
+S20W    NSS 5
 S22W    NSS 7
 S24.5W  Intelsat 905
 S27.5W  Intelsat 907
-S30W    Hispasat 1C/1D
-S31.5W  Intelsat 801
+S30W    Hispasat 1C/1D/1E
+S31.5W  Intelsat 25
 S34.5W  Intelsat 903
-S37.5W  NSS 10
+S37.5W  NSS 10 & Telstar 11N
 S40.5W  NSS 806
-S43W    Intelsat 3R/11
-S45W    Intelsat 1R
-S50W    Intelsat 705
+S43W    Intelsat 11
+S45W    Intelsat 14
+S50W    Intelsat 1R
 S53W    Intelsat 707
 S55.5W  Intelsat 805
-S58W    Intelsat 9
-S61W    Amazonas
+S58W    Intelsat 9/16
+S61W    Amazonas 1/2
 
 # America
 
-S61.5W  Echostar 3 & Rainbow 1
-S63W    Estrelo de Sul 1
+S61.5W  Echostar 12/15
+S63W    Telstar 14R
 S65W    Star One C1
 S70W    Star One C2
-S72W    Nahuel 1 & AMC 6
-S72.5W  DirecTV 1R & Echostar 6
+S72W    AMC 6
+S72.5W  DirecTV 1R & Nimiq 5
 S74W    Horizons 2
-S77W    Echostar 4 & Galaxy 4R
-S79W    AMC5
-S82W    Nimiq 2
+S77W    Echostar 1/8
+S79W    AMC 2/5
+S82W    Nimiq 4
 S83W    AMC 9
-S84W    Brasilsat B3/4
+S84W    Brasilsat B4
 S85W    AMC 16
 S85.1W  XM 3
-S87W    AMC3
+S87W    AMC 3
 S89W    Galaxy 28
-S91W    Galaxy 11/17 & Nimiq 1
-S92W    Brasilsat B2
-S93W    Galaxy 26
+S91W    Galaxy 17 & Nimiq 1
+S93W    Galaxy 25
 S95W    Galaxy 3C
-S97W    Galaxy 25
+S97W    Galaxy 19
 S99W    Galaxy 16
 S99.2W  Spaceway 2 & DirecTV 11
-S101W   DirecTV 4S/8 & AMC 2/4
-S103W   AMC1
-S105W   AMC15/18
+S101W   DirecTV 4S/8 & SES 1
+S103W   AMC 1
+S105W   AMC 15/18
 S107.3W Anik F1/F1R
-S110W   DirecTV 5 & Echostar 8/10
+S110W   DirecTV 5 & Echostar 10/11
 S111.1W Anik F2
 S113W   SatMex 6
 S116.8W SatMex 5
 S118.8W Anik F3
-S119W   Echostar 7 & DirecTV 7S
-S121W   Echostar 9 & Galaxy 23
+S119W   Echostar 14 & DirecTV 7S
+S121W   Echostar 9/Galaxy 23
 S123W   Galaxy 18
-S125W   Galaxy 14
+S125W   Galaxy 14 & AMC 21
 S127W   Galaxy 13/Horizons 1
-S129W   Ciel 2 & Galaxy 27
+S129W   Ciel 2
 S131W   AMC 11
-S133W   Galaxy15
+S133W   Galaxy 13/15
 S135W   AMC 10
 S137W   AMC 7
 S139W   AMC 8
-S148W   Echostar 1/2
 
 # Cable
 
diff -ruN vdr-1.7.21/summary2info vdr-1.7.22/summary2info
--- vdr-1.7.21/summary2info	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.22/summary2info	2011-12-04 15:17:35.000000000 +0100
@@ -0,0 +1,56 @@
+#!/usr/bin/perl
+
+# Convert 'summary.vdr' files to 'info.vdr'
+#
+# Converts all 'summary.vdr' files in the video directory to the
+# 'info.vdr' format as used from VDR version 1.3.25 upward.
+#
+# Usage: summary2info /video
+#
+# See the main source file 'vdr.c' for copyright information and
+# how to reach the author.
+#
+# $Id: summary2info 2.1 2011/12/04 14:17:35 kls Exp $
+
+$VideoDir = $ARGV[0] || die "please provide the name of the video directory\n";
+
+@SummaryFiles = `find "$VideoDir" -name summary.vdr`;
+
+for $SummaryFile (@SummaryFiles) {
+    chomp($SummaryFile);
+    print STDERR "converting $SummaryFile...";
+    open(F, $SummaryFile) || die "$SummaryFile: $!\n";
+    $line = 0;
+    @data = ();
+    while (<F>) {
+          chomp;
+          if ($_ || $line > 1) {
+             $data[$line] .= '|' if ($data[$line]);
+             $data[$line] .= $_;
+             }
+          else {
+             $line++;
+             }
+          }
+    close(F);
+    if (!$data[2]) {
+       $data[2] = $data[1];
+       $data[1] = "";
+       }
+    elsif ($data[1] && $data[2]) {
+       # if line 1 is too long, it can't be the short text,
+       # so assume the short text is missing and concatenate
+       # line 1 and line 2 to be the long text:
+       if (length($data[1]) > 80) {
+          $data[2] = $data[1] . "|" . $data[2];
+          $data[1] = "";
+          }
+       }
+    ($InfoFile = $SummaryFile) =~ s/summary\.vdr$/info.vdr/;
+    open(F, ">$InfoFile") || die "$InfoFile: $!\n";
+    print F "T $data[0]\n" if ($data[0]);
+    print F "S $data[1]\n" if ($data[1]);
+    print F "D $data[2]\n" if ($data[2]);
+    close(F);
+    print STDERR "done.\n";
+    }
diff -ruN vdr-1.7.21/svdrp.c vdr-1.7.22/svdrp.c
--- vdr-1.7.21/svdrp.c	2011-08-27 12:43:18.000000000 +0200
+++ vdr-1.7.22/svdrp.c	2011-12-04 14:58:33.000000000 +0100
@@ -10,7 +10,7 @@
  * and interact with the Video Disk Recorder - or write a full featured
  * graphical interface that sits on top of an SVDRP connection.
  *
- * $Id: svdrp.c 2.10 2011/08/27 10:43:18 kls Exp $
+ * $Id: svdrp.c 2.12 2011/12/04 13:58:33 kls Exp $
  */
 
 #include "svdrp.h"
@@ -224,7 +224,7 @@
   "    valid key names is given. If more than one key is given, they are\n"
   "    entered into the remote control queue in the given sequence. There\n"
   "    can be up to 31 keys.",
-  "LSTC [ :groups | <number> | <name> ]\n"
+  "LSTC [ :groups | <number> | <name> | <id> ]\n"
   "    List channels. Without option, all channels are listed. Otherwise\n"
   "    only the given channel is listed. If a name is given, all channels\n"
   "    containing the given string as part of their name are listed.\n"
@@ -315,6 +315,9 @@
   "    Updates a timer. Settings must be in the same format as returned\n"
   "    by the LSTT command. If a timer with the same channel, day, start\n"
   "    and stop time does not yet exists, it will be created.",
+  "UPDR\n"
+  "    Initiates a re-read of the recordings directory, which is the SVDRP\n"
+  "    equivalent to 'touch .update'.",
   "VOLU [ <number> | + | - | mute ]\n"
   "    Set the audio volume to the given number (which is limited to the range\n"
   "    0...255). If the special options '+' or '-' are given, the volume will\n"
@@ -948,16 +951,18 @@
            Reply(501, "Channel \"%s\" not defined", Option);
         }
      else {
-        cChannel *next = NULL;
-        for (cChannel *channel = Channels.First(); channel; channel = Channels.Next(channel)) {
-            if (!channel->GroupSep()) {
-               if (strcasestr(channel->Name(), Option)) {
-                  if (next)
-                     Reply(-250, "%d %s", next->Number(), *next->ToText());
-                  next = channel;
-                  }
-               }
-            }
+        cChannel *next = Channels.GetByChannelID(tChannelID::FromString(Option));
+        if (!next) {
+           for (cChannel *channel = Channels.First(); channel; channel = Channels.Next(channel)) {
+              if (!channel->GroupSep()) {
+                 if (strcasestr(channel->Name(), Option)) {
+                    if (next)
+                       Reply(-250, "%d %s", next->Number(), *next->ToText());
+                    next = channel;
+                    }
+                 }
+              }
+           }
         if (next)
            Reply(250, "%d %s", next->Number(), *next->ToText());
         else
@@ -1557,6 +1562,12 @@
      Reply(501, "Missing timer settings");
 }
 
+void cSVDRP::CmdUPDR(const char *Option)
+{
+  Recordings.Update(false);
+  Reply(250, "Re-read of recordings directory triggered");
+}
+
 void cSVDRP::CmdVOLU(const char *Option)
 {
   if (*Option) {
@@ -1627,6 +1638,7 @@
   else if (CMD("REMO"))  CmdREMO(s);
   else if (CMD("SCAN"))  CmdSCAN(s);
   else if (CMD("STAT"))  CmdSTAT(s);
+  else if (CMD("UPDR"))  CmdUPDR(s);
   else if (CMD("UPDT"))  CmdUPDT(s);
   else if (CMD("VOLU"))  CmdVOLU(s);
   else if (CMD("QUIT"))  Close(true);
diff -ruN vdr-1.7.21/svdrp.h vdr-1.7.22/svdrp.h
--- vdr-1.7.21/svdrp.h	2007-04-30 14:28:28.000000000 +0200
+++ vdr-1.7.22/svdrp.h	2011-12-04 14:51:44.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: svdrp.h 2.0 2007/04/30 12:28:28 kls Exp $
+ * $Id: svdrp.h 2.1 2011/12/04 13:51:44 kls Exp $
  */
 
 #ifndef __SVDRP_H
@@ -82,6 +82,7 @@
   void CmdSCAN(const char *Option);
   void CmdSTAT(const char *Option);
   void CmdUPDT(const char *Option);
+  void CmdUPDR(const char *Option);
   void CmdVOLU(const char *Option);
   void Execute(char *Cmd);
 public:
diff -ruN vdr-1.7.21/tools.c vdr-1.7.22/tools.c
--- vdr-1.7.21/tools.c	2011-08-15 15:35:23.000000000 +0200
+++ vdr-1.7.22/tools.c	2011-12-04 15:52:38.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.c 2.17 2011/08/15 13:35:23 kls Exp $
+ * $Id: tools.c 2.19 2011/12/04 14:52:38 kls Exp $
  */
 
 #include "tools.h"
@@ -1196,6 +1196,47 @@
   return NULL;
 }
 
+// --- cBitStream ------------------------------------------------------------
+
+int cBitStream::GetBit(void)
+{
+  if (index >= length)
+     return 1;
+  int r = (data[index >> 3] >> (7 - (index & 7))) & 1;
+  ++index;
+  return r;
+}
+
+uint32_t cBitStream::GetBits(int n)
+{
+  uint32_t r = 0;
+  while (n--)
+        r |= GetBit() << n;
+  return r;
+}
+
+void cBitStream::ByteAlign(void)
+{
+  int n = index % 8;
+  if (n > 0)
+     SkipBits(8 - n);
+}
+
+void cBitStream::WordAlign(void)
+{
+  int n = index % 16;
+  if (n > 0)
+     SkipBits(16 - n);
+}
+
+bool cBitStream::SetLength(int Length)
+{
+  if (Length > length)
+     return false;
+  length = Length;
+  return true;
+}
+
 // --- cReadLine -------------------------------------------------------------
 
 cReadLine::cReadLine(void)
@@ -1748,7 +1789,7 @@
               break;
               }
            if (WaitSeconds)
-              sleep(1);
+              cCondWait::SleepMs(1000);
            }
         } while (f < 0 && time(NULL) < Timeout);
      }
diff -ruN vdr-1.7.21/tools.h vdr-1.7.22/tools.h
--- vdr-1.7.21/tools.h	2011-08-15 16:13:42.000000000 +0200
+++ vdr-1.7.22/tools.h	2011-12-04 15:48:03.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.h 2.11 2011/08/15 14:13:42 kls Exp $
+ * $Id: tools.h 2.14 2011/12/04 14:48:03 kls Exp $
  */
 
 #ifndef __TOOLS_H
@@ -36,7 +36,7 @@
 #define dsyslog(a...) void( (SysLogLevel > 2) ? syslog_with_tid(LOG_ERR, a) : void() )
 
 #define LOG_ERROR         esyslog("ERROR (%s,%d): %m", __FILE__, __LINE__)
-#define LOG_ERROR_STR(s)  esyslog("ERROR: %s: %m", s)
+#define LOG_ERROR_STR(s)  esyslog("ERROR (%s,%d): %s: %m", __FILE__, __LINE__, s)
 
 #define SECSINDAY  86400
 
@@ -108,7 +108,7 @@
     ///< Returns the number of UTF-8 symbols formed by the given string of
     ///< character bytes.
 char *Utf8Strn0Cpy(char *Dest, const char *Src, int n);
-    ///< Copies at most n character bytes from Src to Dst, making sure that the
+    ///< Copies at most n character bytes from Src to Dest, making sure that the
     ///< resulting copy ends with a complete UTF-8 symbol. The copy is guaranteed
     ///< to be zero terminated.
     ///< Returns a pointer to Dest.
@@ -210,7 +210,7 @@
     ///< The numerical part of the string may be followed by one of the letters
     ///< K, M, G or T to abbreviate Kilo-, Mega-, Giga- or Terabyte, respectively
     ///< (based on 1024). Everything after the first non-numeric character is
-    ///< silently ignored, as are any characters other than the ones mentionend here.
+    ///< silently ignored, as are any characters other than the ones mentioned here.
 cString itoa(int n);
 cString AddDirectory(const char *DirName, const char *FileName);
 bool EntriesOnSameFileSystem(const char *File1, const char *File2);
@@ -266,6 +266,28 @@
       ///< is called, or until the object is destroyed.
   };
 
+class cBitStream {
+private:
+  const uint8_t *data;
+  int length; // in bits
+  int index; // in bits
+public:
+  cBitStream(const uint8_t *Data, int Length) : data(Data), length(Length), index(0) {}
+  ~cBitStream() {}
+  int GetBit(void);
+  uint32_t GetBits(int n);
+  void ByteAlign(void);
+  void WordAlign(void);
+  bool SetLength(int Length);
+  void SkipBits(int n) { index += n; }
+  void SkipBit(void) { SkipBits(1); }
+  bool IsEOF(void) const { return index >= length; }
+  void Reset(void) { index = 0; }
+  int Length(void) const { return length; }
+  int Index(void) const { return (IsEOF() ? length : index); }
+  const uint8_t *GetData(void) const { return (IsEOF() ? NULL : data + (index / 8)); }
+  };
+
 class cTimeMs {
 private:
   uint64_t begin;
diff -ruN vdr-1.7.21/vdr.c vdr-1.7.22/vdr.c
--- vdr-1.7.21/vdr.c	2011-08-15 14:42:39.000000000 +0200
+++ vdr-1.7.22/vdr.c	2011-12-03 16:35:09.000000000 +0100
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.tvdr.de
  *
- * $Id: vdr.c 2.23 2011/08/15 12:42:39 kls Exp $
+ * $Id: vdr.c 2.27 2011/12/03 15:35:09 kls Exp $
  */
 
 #include <getopt.h>
@@ -116,7 +116,7 @@
 static bool DropCaps(void)
 {
   // drop all capabilities except selected ones
-  cap_t caps = cap_from_text("= cap_sys_nice,cap_sys_time=ep");
+  cap_t caps = cap_from_text("= cap_sys_nice,cap_sys_time,cap_net_raw=ep");
   if (!caps) {
      fprintf(stderr, "vdr: cap_from_text failed: %s\n", strerror(errno));
      return false;
@@ -598,6 +598,7 @@
   Setup.Load(AddDirectory(ConfigDirectory, "setup.conf"));
   Sources.Load(AddDirectory(ConfigDirectory, "sources.conf"), true, true);
   Diseqcs.Load(AddDirectory(ConfigDirectory, "diseqc.conf"), true, Setup.DiSEqC);
+  Scrs.Load(AddDirectory(ConfigDirectory, "scr.conf"), true);
   Channels.Load(AddDirectory(ConfigDirectory, "channels.conf"), false, true);
   Timers.Load(AddDirectory(ConfigDirectory, "timers.conf"));
   Commands.Load(AddDirectory(ConfigDirectory, "commands.conf"));
@@ -638,6 +639,7 @@
   // DVB interfaces:
 
   cDvbDevice::Initialize();
+  cDvbDevice::BondDevices(Setup.DeviceBondings);
 
   // Initialize plugins:
 
@@ -859,7 +861,6 @@
            static time_t LastTimerCheck = 0;
            if (Now - LastTimerCheck > TIMERCHECKDELTA) { // don't do this too often
               InhibitEpgScan = false;
-              static time_t DeviceUsed[MAXDEVICES] = { 0 };
               for (cTimer *Timer = Timers.First(); Timer; Timer = Timers.Next(Timer)) {
                   bool InVpsMargin = false;
                   bool NeedsTransponder = false;
@@ -899,19 +900,17 @@
                                Device = d;
                                break;
                                }
-                            bool timeout = Now - DeviceUsed[d->DeviceNumber()] > TIMERDEVICETIMEOUT; // only check other devices if they have been left alone for a while
-                            if (d->MaySwitchTransponder()) {
+                            if (d->MaySwitchTransponder(Timer->Channel())) {
                                DeviceAvailable = true; // avoids using the actual device below
-                               if (timeout)
-                                  Device = d; // only check other devices if they have been left alone for a while
+                               Device = d;
                                }
-                            else if (timeout && !Device && InVpsMargin && !d->Receiving() && d->ProvidesTransponderExclusively(Timer->Channel()))
+                            else if (!d->Occupied() && !Device && InVpsMargin && !d->Receiving() && d->ProvidesTransponderExclusively(Timer->Channel()))
                                Device = d; // use this one only if no other with less impact can be found
                             }
                          }
                      if (!Device && InVpsMargin && !DeviceAvailable) {
                         cDevice *d = cDevice::ActualDevice();
-                        if (!d->Receiving() && d->ProvidesTransponder(Timer->Channel()) && Now - DeviceUsed[d->DeviceNumber()] > TIMERDEVICETIMEOUT)
+                        if (!d->Receiving() && d->ProvidesTransponder(Timer->Channel()) && !d->Occupied())
                            Device = d; // use the actual device as a last resort
                         }
                      // Switch the device to the transponder:
@@ -920,8 +919,8 @@
                            if (Device == cDevice::ActualDevice() && !Device->IsPrimaryDevice())
                               cDevice::PrimaryDevice()->StopReplay(); // stop transfer mode
                            dsyslog("switching device %d to channel %d", Device->DeviceNumber() + 1, Timer->Channel()->Number());
-                           Device->SwitchChannel(Timer->Channel(), false);
-                           DeviceUsed[Device->DeviceNumber()] = Now;
+                           if (Device->SwitchChannel(Timer->Channel(), false))
+                              Device->SetOccupied(TIMERDEVICETIMEOUT);
                            }
                         if (cDevice::PrimaryDevice()->HasDecoder() && !cDevice::PrimaryDevice()->HasProgramme()) {
                            // the previous SwitchChannel() has switched away the current live channel
